version: '3.8'
services:
  backend:
    image: 'harbor.gretzki.ddns.net/backend/backend:c4c7d4f3'
    restart: unless-stopped
    ports:
      - "10008:5777"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - KEYCLOAK_REALM=${KEYCLOAK_REALM}
      - KEYCLOAK_SERVER_URL=${KEYCLOAK_URL}
      - KEYCLOAK_SSL_REQUIRED=${KEYCLOAK_SSL}
      - KEYCLOAK_CLIENT_ID=${KEYCLOAK_CLIENTID}
      - KEYCLOAK_CREDENTIALS_SECRET=${KEYCLOAK_CREDENTIALS_SECRET}
      - KEYCLOAK_VERIFY_TOKEN_AUDIENCE=false
      - KEYCLOAK_CONFIDENTIAL_PORT=0
      - KAFKA_BOOTSTRAP_SERVER=${KAFKA_SERVER_URI}
      - KAFKA_JOBREQUESTS_TOPICNAME=jobrequests
      - KAFKA_JOBREQUESTS_GROUPID=backendConsumer
      - KAFKA_JOBRESPONSES_TOPICNAME=jobresponses
      - KAFKA_JOBSTORAGERESPONSE_TOPICNAME=jobstorageresponses
      - KAFKA_REMOVESTORAGE_TOPICNAME=removestorage
      - MONGODB_CONNECTIONSTRING=${MONGODB_URL}
      - MONGODB_WPT_DATABASENAME=${MONGODB_DATABASENAME}
      - MONGODB_WPT_COLLECTIONNAME=${MONGODB_COLLECTIONNAME}
